Total Access Docs
Openapi

Update an OAuth2 app

PATCH
/api/v1/oauth/apps/{id}

Authorization

BearerAuth
AuthorizationBearer <token>

JWT access token for REST API endpoints (user-facing apps).

Authorization: Bearer <jwt_access_token>

Tokens expire after 15 minutes. Use the refresh token to obtain a new one.

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://example.com/api/v1/oauth/apps/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "success": true,  "data": {    "id": "string",    "app_name": "string",    "description": "string",    "logo_url": "string",    "homepage_url": "string",    "category": "string",    "client_id": "string",    "redirect_uris": [      "string"    ],    "scopes": [      "string"    ],    "auth_flows": [      "authorization_code"    ],    "is_public": true,    "status": "pending",    "developer_id": 0,    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  }}